% cookiedough(1) cookiedough/cookiecutter | Version 0.1.x


NAME
====

**cookiedough** — GUI browser for cookiecutter templates

SYNOPSIS
========

  **cookiedough** \[*\--debug*]


DESCRIPTION
===========

Shows available project templates for **cookiecutter**(1) in a GUI browser.
Allows to inspect documentation and some contents, and then of course
unpack the template.


USAGE
=====

Browsing
--------

 * Expand one of the categories in the left pane to see available templates.
 * Click to see expanded details on right pane.

Search
------

 * The search field is located top left, and allows to filter templates.
 * Meanwhile any update happens once you hit ENTER while the search box
   is selected. (Old mode / instant search is configurable, but slow.)
 * You might want to search for common keywords in the description, or
   even filenames (`pyproject.toml setup.cfg` etc.) to find matching
   cookiecutters.

Install
-------

 * Push the [Roll out] button top right.
 * Input any of the default placeholder variables, or update existing sample
   strings. You usually want to leave any `{{expression...}}` as is.
 * Verify the current working directory, then proceed.
 * Yes/No prompts or additional inputs might come up if the template list
   was outdated.
 * **WATCH OUT** for any prompts in the terminal window you started
   cookiedough from. Not all click prompts might get captured. And obviously
   any error messages would gravitate there.

Alternatives
------------

 * Apart from opening the URL for a cookietemplate, there is also the
   →Template→Copy repo URL option. Which allows to combine CD and CLI usage.

Settings
--------

 * Use →File→Settings to modify some cookiedough UI behaviours.
 * Some changes might require a restart.


DOCS
====

[https://fossil.include-once.org/cookiedough/wcontent](https://fossil.include-once.org/cookiedough/wcontent)


FILES
=====

**~/.config/cookiedough/**
 : Application config files, specifically *settings.json*.  Future versions
 : might also pack some **cookiecutter**(1) yaml config file in here. 
 : (Whereas the cache would go into *~/.cache/...*).

ENV
===

**XDG_CONFIG_HOME**
 : base dir location for app config storage

**GITHUB_API_TOKEN**
 : might or might not be used by update functionality


SEE ALSO
========

**cookiecutter**(1), **python3**(1)
